"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getQuoterProgram = exports.getNttProgram = exports.IdlVersions = void 0;
const anchor_1 = require("@coral-xyz/anchor");
const index_js_1 = require("./anchor-idl/index.js");
exports.IdlVersions = {
    "1.0.0": index_js_1._1_0_0,
    "2.0.0": index_js_1._2_0_0,
};
function loadIdlVersion(version) {
    if (!(version in exports.IdlVersions))
        throw new Error(`Unknown IDL version: ${version}`);
    return exports.IdlVersions[version];
}
function getNttProgram(connection, address, version) {
    const { idl: { ntt }, } = loadIdlVersion(version);
    return new anchor_1.Program(ntt, address, {
        connection,
    });
}
exports.getNttProgram = getNttProgram;
function getQuoterProgram(connection, address, version) {
    const { idl: { quoter }, } = loadIdlVersion(version);
    return new anchor_1.Program(quoter, address, {
        connection,
    });
}
exports.getQuoterProgram = getQuoterProgram;
//# sourceMappingURL=bindings.js.map