import { Program } from "@coral-xyz/anchor";
import { _1_0_0, _2_0_0 } from "./anchor-idl/index.js";
export const IdlVersions = {
    "1.0.0": _1_0_0,
    "2.0.0": _2_0_0,
};
function loadIdlVersion(version) {
    if (!(version in IdlVersions))
        throw new Error(`Unknown IDL version: ${version}`);
    return IdlVersions[version];
}
export function getNttProgram(connection, address, version) {
    const { idl: { ntt }, } = loadIdlVersion(version);
    return new Program(ntt, address, {
        connection,
    });
}
export function getQuoterProgram(connection, address, version) {
    const { idl: { quoter }, } = loadIdlVersion(version);
    return new Program(quoter, address, {
        connection,
    });
}
//# sourceMappingURL=bindings.js.map